# Cookbook:: pentester
# Recipe:: msf_resources
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

msf = node['pentester']['msf']
user_dir = "#{node['pentester']['home']}/#{msf['user_dirname']}"

directory "#{user_dir}/scripts/resource" do
  owner node['pentester']['user']
  group node['pentester']['group']
  action :create
  recursive true
end

node['pentester']['msf']['resources'].each do |name, cmds|
  template "#{user_dir}/scripts/resource/#{name}" do
    owner node['pentester']['user']
    group node['pentester']['group']
    source 'msf/resource.erb'
    variables cmds: cmds
  end
end
