# Cookbook:: pentester
# Recipe:: msf_src
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node['pentester']['msf']['additional_packages'].each do |pkg|
  package pkg
end

execute "bundle-install-#{node['pentester']['msf']['install_dir']}" do
  action :nothing
  user node['pentester']['user']
  group node['pentester']['group']
  cwd node['pentester']['msf']['install_dir']
  command 'bundle install --path vendor/bundle'
  only_if 'which bundle'
end

directory node['pentester']['msf']['install_dir'] do
  owner node['pentester']['user']
  group node['pentester']['group']
end

git node['pentester']['msf']['install_dir'] do
  user node['pentester']['user']
  group node['pentester']['group']
  repository node['pentester']['msf']['git_repository']
  reference node['pentester']['msf']['git_reference']
  notifies :run, "execute[bundle-install-#{node['pentester']['msf']['install_dir']}]", :delayed
end
