# Cookbook:: pentester
# Recipe:: rogue-ap
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node.default['dnsmasq']['enable_dhcp'] = true
node.default['dnsmasq']['dhcp'] = {
  'log-facility' => '/var/log/dnsmasq.log',
  'interface' => node['pentester']['rogue-ap']['interface'],
  'dhcp-range' => '10.0.0.10,10.0.0.250,12h',
  'dhcp-option' => ['3,10.0.0.1', '6,10.0.0.1'],
}

include_recipe 'dnsmasq'

node['pentester']['rogue-ap']['packages'].each do |pkg|
  package pkg
end

cookbook_file '/etc/init.d/hostapd' do
  source 'hostapd.init'
  mode '0755'
end

template '/etc/hostapd/hostapd.conf' do
  source 'rogue-ap/hostapd.conf.erb'
  mode '0644'
end

template node['pentester']['rogue-ap']['script_path'] do
  source 'rogue-ap/rogue-ap.sh.erb'
  mode '0755'
  variables interface: node['pentester']['rogue-ap']['interface'],
            out_interface: node['pentester']['rogue-ap']['out_interface']
end
