# Cookbook:: pentester
# Recipe:: sn1per
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

git node['pentester']['sn1per']['install_dir'] do
  repository node['pentester']['sn1per']['git_repository']
  reference node['pentester']['sn1per']['git_reference']
end

node['pentester']['sn1per']['packages'].each do |pkg|
  package pkg
end

node['pentester']['sn1per']['additional_repos'].each do |name, repo|
  git "#{node['pentester']['sn1per']['install_dir']}/#{name}" do
    repository repo[:url]
    reference repo[:reference]
  end
end

directory "#{node['pentester']['sn1per']['install_dir']}/loot"
file "#{node['pentester']['sn1per']['install_dir']}/sniper" do
  mode '0755'
end
